iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Instance Methods | Class Methods | Properties | List of all members
AMapSearchAPI Class Reference

搜索类 More...

`#include <AMapSearchAPI.h>`

Inheritance diagram for AMapSearchAPI:

## Instance Methods
(instancetype) | - init
| AMapSearch的初始化函数。 初始化之前请正确设置key，否则将无法正常使用搜索服务.
(void) | - cancelAllRequests
| 取消所有未回调的请求，触发错误回调。
(void) | - AMapPOIIDSearch:
| POI ID查询接口
(void) | - AMapPOIPicVisualSearch:
| POI 视觉图片搜索接口
(void) | - AMapPOIKeywordsSearch:
| POI 关键字查询接口
(void) | - AMapPOIAroundSearch:
| POI 周边查询接口
(void) | - AMapPOIPolygonSearch:
| POI 多边形查询接口
(void) | - AMapPOIIDSearchV1:
| POI ID查询接口
(void) | - AMapPOIKeywordsSearchV1:
| POI 关键字查询接口
(void) | - AMapPOIAroundSearchV1:
| POI 周边查询接口
(void) | - AMapPOIPolygonSearchV1:
| POI 多边形查询接口
(void) | - AMapRoutePOISearch:
| 沿途查询接口 (v4.3.0)
(void) | - AMapGeocodeSearch:
| 地址编码查询接口
(void) | - AMapReGoecodeSearch:
| 逆地址编码查询接口
(void) | - AMapInputTipsSearch:
| 输入提示查询接口
(void) | - AMapBusStopSearch:
| 公交站点查询接口
(void) | - AMapBusLineIDSearch:
| 公交线路关键字查询
(void) | - AMapBusLineNameSearch:
| 公交线路关键字查询
(void) | - AMapDistrictSearch:
| 行政区域查询接口
(void) | - AMapDrivingRouteSearch:
| 驾车路径规划1.0查询接口
(void) | - AMapDrivingV2RouteSearch:
| 驾车路径规划V2.0查询接口
(void) | - AMapWalkingRouteSearch:
| 步行路径规划查询接口
(void) | - AMapTransitRouteSearch:
| 公交路径规划查询接口
(void) | - AMapRidingRouteSearch:
| 骑行路径规划查询接口 (since 4.3.0)
(void) | - AMapTruckRouteSearch:
| 货车路径规划查询接口 （since 6.1.0）
(void) | - AMapFutureRouteSearch:
| 未来路线规划查询接口 （since 6.9.0）
(void) | - AMapWeatherSearch:
| 天气查询接口
(void) | - AMapDistanceSearch:
| 距离查询（since 6.1.0）
(void) | - AMapChargeStationSearch:
(void) | - AMapNearbySearch:
| 附近搜索查询接口
(void) | - AMapCloudPOIAroundSearch:
| 企业地图周边查询接口
(void) | - AMapCloudPOIPolygonSearch:
| 企业地图polygon区域查询接口
(void) | - AMapCloudPOIIDSearch:
| 企业地图ID查询接口
(void) | - AMapCloudPOILocalSearch:
| 企业地图本地查询接口
(void) | - AMapLocationShareSearch:
| 位置短串分享接口
(void) | - AMapPOIShareSearch:
| 兴趣点短串分享接口
(void) | - AMapRouteShareSearch:
| 路线规划短串分享接口
(void) | - AMapNavigationShareSearch:
| 导航短串分享接口

## Class Methods
(void) | + updatePrivacyShow:privacyInfo:
| 更新App是否显示隐私弹窗的状态，隐私弹窗是否包含高德SDK隐私协议内容的状态. since 8.1.0
(void) | + updatePrivacyAgree:
| 更新用户授权高德SDK隐私协议状态. since 8.1.0

## Properties
id< AMapSearchDelegate > | delegate
| 实现了 AMapSearchDelegate 协议的类指针。
NSInteger | timeout
| 查询超时时间，单位秒，默认为20秒。
NSDictionary< NSString *, NSString * > * | customParams
| 查询结果返回语言, 默认为中文。

## Detailed Description

搜索类

## Method Documentation

## ◆ AMapBusLineIDSearch:

- (void) AMapBusLineIDSearch: |  | (AMapBusLineIDSearchRequest *) | request |

公交线路关键字查询

Parameters

  request | 查询选项。具体属性字段请参考 AMapBusLineIDSearchRequest 类。

## ◆ AMapBusLineNameSearch:

- (void) AMapBusLineNameSearch: |  | (AMapBusLineNameSearchRequest *) | request |

公交线路关键字查询

Parameters

  request | 查询选项。具体属性字段请参考 AMapBusLineNameSearchRequest 类。

## ◆ AMapBusStopSearch:

- (void) AMapBusStopSearch: |  | (AMapBusStopSearchRequest *) | request |

公交站点查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapBusStopSearchRequest 类。

## ◆ AMapChargeStationSearch:

- (void) AMapChargeStationSearch: |  | (AMapChargeStationSearchRequest *) | request |

## ◆ AMapCloudPOIAroundSearch:

- (void) AMapCloudPOIAroundSearch: |  | (AMapCloudPOIAroundSearchRequest *) | request |

企业地图周边查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapCloudPOIAroundSearchRequest 类。

## ◆ AMapCloudPOIIDSearch:

- (void) AMapCloudPOIIDSearch: |  | (AMapCloudPOIIDSearchRequest *) | request |

企业地图ID查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapCloudPOIIDSearchRequest 类。

## ◆ AMapCloudPOILocalSearch:

- (void) AMapCloudPOILocalSearch: |  | (AMapCloudPOILocalSearchRequest *) | request |

企业地图本地查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapCloudPOILocalSearchRequest 类。

## ◆ AMapCloudPOIPolygonSearch:

- (void) AMapCloudPOIPolygonSearch: |  | (AMapCloudPOIPolygonSearchRequest *) | request |

企业地图polygon区域查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapCloudPOIPolygonSearchRequest 类。

## ◆ AMapDistanceSearch:

- (void) AMapDistanceSearch: |  | (AMapDistanceSearchRequest *) | request |

距离查询（since 6.1.0）

Parameters

  request | 查询选项。具体属性字段请参考 AMapDistanceSearchRequest 类。

## ◆ AMapDistrictSearch:

- (void) AMapDistrictSearch: |  | (AMapDistrictSearchRequest *) | request |

行政区域查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapDistrictSearchRequest 类。

## ◆ AMapDrivingRouteSearch:

- (void) AMapDrivingRouteSearch: |  | (AMapDrivingRouteSearchRequest *) | request |

驾车路径规划1.0查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapDrivingRouteSearchRequest 类。

## ◆ AMapDrivingV2RouteSearch:

- (void) AMapDrivingV2RouteSearch: |  | (AMapDrivingCalRouteSearchRequest *) | request |

驾车路径规划V2.0查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapDrivingCalRouteSearchRequest 类。

## ◆ AMapFutureRouteSearch:

- (void) AMapFutureRouteSearch: |  | (AMapFutureRouteSearchRequest *) | request |

未来路线规划查询接口 （since 6.9.0）

Parameters

  request | 查询选项。具体属性字段请参考 AMapTruckRouteSearchRequest 类。

## ◆ AMapGeocodeSearch:

- (void) AMapGeocodeSearch: |  | (AMapGeocodeSearchRequest *) | request |

地址编码查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapGeocodeSearchRequest 类。

## ◆ AMapInputTipsSearch:

- (void) AMapInputTipsSearch: |  | (AMapInputTipsSearchRequest *) | request |

输入提示查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapInputTipsSearchRequest 类。

## ◆ AMapLocationShareSearch:

- (void) AMapLocationShareSearch: |  | (AMapLocationShareSearchRequest *) | request |

位置短串分享接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapLocationShareSearchRequest 类。

## ◆ AMapNavigationShareSearch:

- (void) AMapNavigationShareSearch: |  | (AMapNavigationShareSearchRequest *) | request |

导航短串分享接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapNavigationShareSearchRequest 类。

## ◆ AMapNearbySearch:

- (void) AMapNearbySearch: |  | (AMapNearbySearchRequest *) | request |

附近搜索查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapNearbySearchRequest 类。

## ◆ AMapPOIAroundSearch:

- (void) AMapPOIAroundSearch: |  | (AMapPOIAroundSearchRequest *) | request |

POI 周边查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapPOIAroundSearchRequest 类。

## ◆ AMapPOIAroundSearchV1:

- (void) AMapPOIAroundSearchV1: |  | (AMapPOIAroundSearchRequestV1 *) | request |

POI 周边查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapPOIAroundSearchRequestV1 类。

## ◆ AMapPOIIDSearch:

- (void) AMapPOIIDSearch: |  | (AMapPOIIDSearchRequest *) | request |

POI ID查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapPOIIDSearchRequest 类。

## ◆ AMapPOIIDSearchV1:

- (void) AMapPOIIDSearchV1: |  | (AMapPOIIDSearchRequestV1 *) | request |

POI ID查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapPOIIDSearchRequestV1 类。

## ◆ AMapPOIKeywordsSearch:

- (void) AMapPOIKeywordsSearch: |  | (AMapPOIKeywordsSearchRequest *) | request |

POI 关键字查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapPOIKeywordsSearchRequest 类。

## ◆ AMapPOIKeywordsSearchV1:

- (void) AMapPOIKeywordsSearchV1: |  | (AMapPOIKeywordsSearchRequestV1 *) | request |

POI 关键字查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapPOIKeywordsSearchRequestV1 类。

## ◆ AMapPOIPicVisualSearch:

- (void) AMapPOIPicVisualSearch: |  | (AMapVisualSearchRequest *) | request |

POI 视觉图片搜索接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapVisualSearchRequest 类。

## ◆ AMapPOIPolygonSearch:

- (void) AMapPOIPolygonSearch: |  | (AMapPOIPolygonSearchRequest *) | request |

POI 多边形查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapPOIPolygonSearchRequest 类。

## ◆ AMapPOIPolygonSearchV1:

- (void) AMapPOIPolygonSearchV1: |  | (AMapPOIPolygonSearchRequestV1 *) | request |

POI 多边形查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapPOIPolygonSearchRequestV1 类。

## ◆ AMapPOIShareSearch:

- (void) AMapPOIShareSearch: |  | (AMapPOIShareSearchRequest *) | request |

兴趣点短串分享接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapPOIShareSearchRequest 类。

## ◆ AMapReGoecodeSearch:

- (void) AMapReGoecodeSearch: |  | (AMapReGeocodeSearchRequest *) | request |

逆地址编码查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapReGeocodeSearchRequest 类。

## ◆ AMapRidingRouteSearch:

- (void) AMapRidingRouteSearch: |  | (AMapRidingRouteSearchRequest *) | request |

骑行路径规划查询接口 (since 4.3.0)

Parameters

  request | 查询选项。具体属性字段请参考 AMapRidingRouteSearchRequest 类。

## ◆ AMapRoutePOISearch:

- (void) AMapRoutePOISearch: |  | (AMapRoutePOISearchRequest *) | request |

沿途查询接口 (v4.3.0)

Parameters

  request | 查询选项。具体属性字段请参考 AMapRoutePOISearchRequest 类。

## ◆ AMapRouteShareSearch:

- (void) AMapRouteShareSearch: |  | (AMapRouteShareSearchRequest *) | request |

路线规划短串分享接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapRouteShareSearchRequest 类。

## ◆ AMapTransitRouteSearch:

- (void) AMapTransitRouteSearch: |  | (AMapTransitRouteSearchRequest *) | request |

公交路径规划查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapTransitRouteSearchRequest 类。

## ◆ AMapTruckRouteSearch:

- (void) AMapTruckRouteSearch: |  | (AMapTruckRouteSearchRequest *) | request |

货车路径规划查询接口 （since 6.1.0）

Parameters

  request | 查询选项。具体属性字段请参考 AMapTruckRouteSearchRequest 类。

## ◆ AMapWalkingRouteSearch:

- (void) AMapWalkingRouteSearch: |  | (AMapWalkingRouteSearchRequest *) | request |

步行路径规划查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapWalkingRouteSearchRequest 类。

## ◆ AMapWeatherSearch:

- (void) AMapWeatherSearch: |  | (AMapWeatherSearchRequest *) | request |

天气查询接口

Parameters

  request | 查询选项。具体属性字段请参考 AMapWeatherSearchRequest 类。

## ◆ cancelAllRequests

- (void) cancelAllRequests |  |  |

取消所有未回调的请求，触发错误回调。

## ◆ init

- (instancetype) init |  |  |

AMapSearch的初始化函数。 初始化之前请正确设置key，否则将无法正常使用搜索服务.

Returns
  AMapSearch类对象实例

## ◆ updatePrivacyAgree:

+ (void) updatePrivacyAgree: |  | (AMapPrivacyAgreeStatus) | agreeStatus |

更新用户授权高德SDK隐私协议状态. since 8.1.0

Parameters

  agreeStatus | 用户授权高德SDK隐私协议状态

## ◆ updatePrivacyShow:privacyInfo:

+ (void) updatePrivacyShow: |  | (AMapPrivacyShowStatus) | showStatus
privacyInfo: |  | (AMapPrivacyInfoStatus) | containStatus

更新App是否显示隐私弹窗的状态，隐私弹窗是否包含高德SDK隐私协议内容的状态. since 8.1.0

Parameters

  showStatus | 隐私弹窗状态
  containStatus | 包含高德SDK隐私协议状态

## Property Documentation

## ◆ customParams

- (NSDictionary<NSString *, NSString *>*) customParams
| read write nonatomic copy

查询结果返回语言, 默认为中文。

自定义参数

## ◆ delegate

- (id<AMapSearchDelegate>) delegate
| read write nonatomic weak

实现了 AMapSearchDelegate 协议的类指针。

## ◆ timeout

- (NSInteger) timeout
| read write nonatomic assign

查询超时时间，单位秒，默认为20秒。

The documentation for this class was generated from the following file:

- AMapSearchAPI.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。